# filter-buffer(2)

[Home] [Commands] [Variables] [Macro-Dev] [Glossary]

## NAME

filter-buffer - Filter the current buffer through an O/S command

## SYNOPSIS

filter-buffer (C-x #)

## DESCRIPTION

filter-buffer executes one operating system command, using the contents of the current buffer as input, sending the results back to the same buffer, replacing the original text.

This would typically be used in conjunction with sort(1), awk(1) or sed(1) to translate the contents of the buffer.

## SEE ALSO

pipe-shell-command(2).

(c) Copyright JASSPA 2009
Last Modified: 2009/08/29
Generated On: 2009/10/12

</HMTL>